#
# spec file for package golang-org-x-tools
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-org-x-tools
Version:        1.4.2+git20150825.b48dc8d
Release:        2.13
Summary:        Additional toolsgraphy libraries
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://github.com/golang/tools
Source:         tools-%{version}.tar.xz
Source1:        godoc.service
Source2:        %{name}-rpmlintrc
BuildRequires:  go-mango-doc
BuildRequires:  golang-packaging
BuildRequires:  update-alternatives
BuildRequires:  xz
BuildRequires:  golang(golang.org/x/net)
BuildRequires:  golang(golang.org/x/oauth2)
BuildRequires:  golang(google.golang.org/api)
Provides:       go-go.tools = %{version}
Obsoletes:      go-go.tools < %{version}
Provides:       go-tools = %{version}
Obsoletes:      go-tools < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_provides}
%if 0%{?suse_version} >= 1100
BuildRequires:  fdupes
%endif
%if 0%{?suse_version} >= 1210
BuildRequires:  systemd
%systemd_requires
%endif

%description
This package contains additional toolsgraphy libraries that are developed by the
Go team but outside of the main source tree.

%gosrc_package

%prep
%setup -q -n tools-%{version}
# cover/vet are merged in mainline go 1.5
rm -rf cover
rm -rf cmd/cover
rm -rf cmd/vet

%build
%goprep golang.org/x/tools
%gobuild ...

cd %{_builddir}/tools-%{version}
for tool in `ls cmd`; do
    mango-doc cmd/${tool} >${tool}.1
done

%install
%if 0%{?suse_version} >= 1210
mkdir -p %{buildroot}%{_unitdir}
install -Dm644 %{SOURCE1} %{buildroot}%{_unitdir}/godoc.service
%endif

find . -name '*.1' -exec install -Dm644 {} %{buildroot}%{_mandir}/man1/{} \;

%goinstall
%gosrc

%if 0%{?suse_version} >= 1100
%fdupes %{buildroot}%{_prefix}
%endif

%pre
%if 0%{?suse_version} >= 1210
%service_add_pre godoc.service
%endif

%post
%if 0%{?suse_version} >= 1210
%service_add_post godoc.service
%endif

%preun
%if 0%{?suse_version} >= 1210
%service_del_preun godoc.service
%endif

%postun
%if 0%{?suse_version} >= 1210
%service_del_postun godoc.service
%endif

%files
%defattr(-,root,root,-)
%doc LICENSE README CONTRIBUTORS AUTHORS PATENTS
%{go_contribdir}/*
%if 0%{?suse_version} >= 1210 || 0%{?fedora} >= 16
%{_unitdir}/godoc.service
%endif
%{_bindir}/benchcmp
%{_bindir}/callgraph
%{_bindir}/digraph
%{_bindir}/eg
%{_bindir}/fiximports
%{_bindir}/godex
%{_bindir}/godoc
%{_bindir}/goimports
%{_bindir}/gomvpkg
%{_bindir}/gorename
%{_bindir}/gotype
%{_bindir}/html2article
%{_bindir}/oracle
%{_bindir}/present
%{_bindir}/ssadump
%{_bindir}/stress
%{_bindir}/stringer
%{_bindir}/tipgodoc
%{_mandir}/man1/benchcmp.1*
%{_mandir}/man1/callgraph.1*
%{_mandir}/man1/digraph.1*
%{_mandir}/man1/eg.1*
%{_mandir}/man1/fiximports.1*
%{_mandir}/man1/godex.1*
%{_mandir}/man1/godoc.1*
%{_mandir}/man1/goimports.1*
%{_mandir}/man1/gomvpkg.1*
%{_mandir}/man1/gorename.1*
%{_mandir}/man1/gotype.1*
%{_mandir}/man1/html2article.1*
%{_mandir}/man1/oracle.1*
%{_mandir}/man1/present.1*
%{_mandir}/man1/ssadump.1*
%{_mandir}/man1/stress.1*
%{_mandir}/man1/stringer.1*
%{_mandir}/man1/tipgodoc.1*

%files source
%defattr(-,root,root,-)
%{go_contribsrcdir}/*

%changelog
* Fri Aug 28 2015 i@marguerite.su
- Update to version 1.4.2+git20150825.b48dc8d:
  + cmd/godoc: remove obsolete vet redirect
  + imports: fix bug, where unused named import is mistaken for unnamed import.
  + cmd/tipgodoc: change capitalization of 'Authors' to be consistent
  + go/loader: fix fd leak and limit calls to ioutil.ReadDir
  + website: fix JavaScript error on website and blog in non-ES6 browsers
  + cmd/gotype: use std lib go/types instead of x/tools version
  + cmd/gotype: keep gotype working with Go1.4
- cover/vert are merged in mainline go 1.5, so strip them off.
* Sat Jul 11 2015 i@marguerite.su
- rename to golang-org-x-tools
- update version 1.4.2+git20150710.4cd43f3
- use golang-packaging for packaging
* Sat May 30 2015 i@marguerite.su
- update version 1.4.2+git20150529.8ccf558
- use update-alternatives to avoid conflict w/
  perl-Devel-Cover package
* Wed Mar 25 2015 i@marguerite.su
- add go-tools-rpmlintrc file as source2
* Tue Mar 24 2015 i@marguerite.su
- BuildRequires:  go-oauth2
* Sat Mar 21 2015 i@marguerite.su
- update version 1.4.2+git20150320.af0a448
* Sun Mar  8 2015 i@marguerite.su
- update to 1.4.2+git20150306.c327a7c
- upstream changed to github.com/golang/tools
- package name changed: go-tools
- add provides/obsoletes
* Thu Sep 18 2014 cbosdonnat@suse.com
- Updated to 1.3.1 using mercurial tip
- removed patches:
  * godoc-path-locations.patch: no longer needed all sources are in
    GOROOT or GOPATH
* Fri Oct 18 2013 speilicke@suse.com
- Initial version
